Sean's i/o Stream

Musings-as-a-Service

Running WAS 7 and IHS 7 with SSL on OpenSuse 11.x

  • September 23, 2011
  •   category: ibm
  • tags: ibm, ihs, linux, opensuse, websphere

Problem running apache when you enable SSL, I noticed an error that is documented here:

IBM Technote # 1451021

Turns out, my gsk7 libraries were not being picked up by ldconfig so I ended up adding a new file to /etc/ld.conf.so.d/gsk7.conf

/opt/IBM/HttpServer7/gsk7/lib

Then just reload, to get the ldconfig setup again.

opensuse114:/opt/IBM/HTTPServer7 # ldconfig

opensuse114:/opt/IBM/HTTPServer7 # ldconfig -v 2> /dev/null| grep gsk
/opt/IBM/HTTPServer7/gsk7/lib:
 libgsk7msca.so -> libgsk7msca.so
 libgsk7cms.so -> libgsk7cms.so
 libgsk7sys.so -> libgsk7sys.so
 libgsk7p11.so -> libgsk7p11.so
 libgsk7ssl.so -> libgsk7ssl.so
 libgsk7dbfl.so -> libgsk7dbfl.so
 libgsk7valn.so -> libgsk7valn.so
 libgsk7iccs.so -> libgsk7iccs.so
 libgsk7drld.so -> libgsk7drld.so
 libgsk7kjni.so -> libgsk7kjni.so
 libgsk7acmeidup.so -> libgsk7acmeidup.so
 libgsk7krrb.so -> libgsk7krrb.so
 libgsk7krnc.so -> libgsk7krnc.so
 libgsk7krsw.so -> libgsk7krsw.so
 libgsk7km.so -> libgsk7km.so
 libgsk7kicc.so -> libgsk7kicc.so

Now you’re ready for bigger and better challenges :)

Reference:
Back to Top